Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkcs7
Class SignedAndEnvelopedData

    java.lang.Object
      |
      +--org.mozilla.jss.pkcs7.SignedAndEnvelopedData

All Implemented Interfaces:
  ASN1Value

public class SignedAndEnvelopedData
extends java.lang.Object
implements ASN1Value

Inner Class Summary
`static class` | `SignedAndEnvelopedData.Template` A Template class for decoding BER-encoded SignedAndEnvelopedData items.

Field Summary
`private SET` | `certificates`
`private SET` | `crls`
`private SET` | `digestAlgorithms`
`private EncryptedContentInfo` | `encryptedContentInfo`
`private SET` | `recipientInfos`
`private SEQUENCE` | `sequence`
`private SET` | `signerInfos`
`private static Tag` | `TAG`
`private INTEGER` | `version`

Constructor Summary
`private` | `SignedAndEnvelopedData()`
`` | `SignedAndEnvelopedData(INTEGER version, SET recipientInfos, SET digestAlgorithms, EncryptedContentInfo encryptedContentInfo, SET certificates, SET crls, SET signerInfos)`

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`SET` | `getCertificates()` Returns a SET of ANYs.
`SET` | `getCrls()` Returns a SET of ANYs.
`SET` | `getDigestAlgorithms()` Returns a SET of AlgorithmIdentifier.
`EncryptedContentInfo` | `getEncryptedContentInfo()` Returns the encrypted content.
`SET` | `getRecipientInfos()` Returns a SET of RecipientInfo.
`SET` | `getSignerInfos()` Returns a SET of SignerInfo.
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`INTEGER` | `getVersion()` Returns the version number.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### version

    private INTEGER version

### recipientInfos

    private SET recipientInfos

### digestAlgorithms

    private SET digestAlgorithms

### encryptedContentInfo

    private EncryptedContentInfo encryptedContentInfo

### certificates

    private SET certificates

### crls

    private SET crls

### signerInfos

    private SET signerInfos

### sequence

    private SEQUENCE sequence

### TAG

    private static final Tag TAG

Constructor Detail

### SignedAndEnvelopedData

    private SignedAndEnvelopedData()

### SignedAndEnvelopedData

    public SignedAndEnvelopedData(INTEGER version,
                                  SET recipientInfos,
                                  SET digestAlgorithms,
                                  EncryptedContentInfo encryptedContentInfo,
                                  SET certificates,
                                  SET crls,
                                  SET signerInfos)

Method Detail

### getVersion

    public INTEGER getVersion()

  Returns the version number. The current version is 1.

### getRecipientInfos

    public SET getRecipientInfos()

  Returns a SET of RecipientInfo.

### getDigestAlgorithms

    public SET getDigestAlgorithms()

  Returns a SET of AlgorithmIdentifier.

### getEncryptedContentInfo

    public EncryptedContentInfo getEncryptedContentInfo()

  Returns the encrypted content.

### getCertificates

    public SET getCertificates()

  Returns a SET of ANYs. May return `null` if the certificates field is not present.

### getCrls

    public SET getCrls()

  Returns a SET of ANYs. May return `null` if the crls field is not present.

### getSignerInfos

    public SET getSignerInfos()

  Returns a SET of SignerInfo.

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
  Specified by:
    `getTag` in interface `ASN1Value`

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.
  Specified by:
    `encode` in interface `ASN1Value`

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.
  Specified by:
    `encode` in interface `ASN1Value`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD